---
layout: docs
title: Overview
categories: docs
permalink: /docs/index.html
---

Welcome to Apache Kylin™
------------  
> Extreme OLAP Engine for Big Data

Apache Kylin™ is an open source Distributed Analytics Engine designed to provide SQL interface and multi-dimensional analysis (OLAP) on Hadoop supporting extremely large datasets, original contributed from eBay Inc.

Future documents: [v1.5](/docs15/)

Installation & Setup
------------  
2. [Hadoop Env](install/hadoop_env.html)
1. [Installation Guide](install/index.html)
3. [Advanced settings](install/advance_settings.html)
4. [Deploy in cluster mode](install/kylin_cluster.html)


Tutorial
------------  
1. [Quick Start with Sample Cube](tutorial/kylin_sample.html)
2. [Cube Creation](tutorial/create_cube.html)
3. [Cube Build and Job Monitoring](tutorial/cube_build_job.html)
4. [Web Interface](tutorial/web.html)
5. [SQL reference: by Apache Calcite](http://calcite.apache.org/docs/reference.html)


Connectivity and APIs
------------  
1. [ODBC driver](tutorial/odbc.html)
2. [JDBC driver](howto/howto_jdbc.html)
3. [RESTful API list](howto/howto_use_restapi.html)
4. [Build cube with RESTful API](howto/howto_build_cube_with_restapi.html)
5. [Call RESTful API in Javascript](howto/howto_use_restapi_in_js.html)
6. [Connect from MS Excel and PowerBI](tutorial/powerbi.html)
7. [Connect from Tableau 8](tutorial/tableau.html)
8. [Connect from Tableau 9](tutorial/tableau_91.html)

Operations
------------  
1. [Backup/restore Kylin metadata](howto/howto_backup_metadata.html)
2. [Cleanup storage (HDFS & HBase)](howto/howto_cleanup_storage.html)
3. [Upgrade from old version](howto/howto_upgrade.html)




